Package org.drinkless.tdlib

# Class TdApi.AuctionStateActive

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuctionState
org.drinkless.tdlib.TdApi.AuctionStateActive

Enclosing class:
  `TdApi`

public static class TdApi.AuctionStateActive extends TdApi.AuctionState
Contains information about an ongoing or scheduled auction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuctionState

  `TdApi.AuctionState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `acquiredItemCount`
  The number of items that were purchased by the current user on the auction.
  `TdApi.AuctionBid[]`
  `bidLevels`
  A sparse list of bids that were made in the auction.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `currentRoundEndDate`
  Point in time (Unix timestamp) when the current round will end.
  `int`
  `currentRoundNumber`
  1-based number of the current round.
  `int`
  `distributedItemCount`
  The number of items that were purchased on the auction by all users.
  `int`
  `endDate`
  Point in time (Unix timestamp) when the auction will be ended.
  `int`
  `leftItemCount`
  The number of items that have to be distributed on the auction.
  `long`
  `minBid`
  The minimum possible bid in the auction in Telegram Stars.
  `TdApi.AuctionRound[]`
  `rounds`
  Rounds of the auction in which their duration or extension rules are changed.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the auction started or will start.
  `long[]`
  `topBidderUserIds`
  User identifiers of at most 3 users with the biggest bids.
  `int`
  `totalRoundCount`
  The total number of rounds.
  `TdApi.UserAuctionBid`
  `userBid`
  Bid of the current user in the auction; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuctionStateActive()`
  Contains information about an ongoing or scheduled auction.
  `AuctionStateActive(int startDate, int endDate, long minBid, TdApi.AuctionBid[] bidLevels, long[] topBidderUserIds, TdApi.AuctionRound[] rounds, int currentRoundEndDate, int currentRoundNumber, int totalRoundCount, int distributedItemCount, int leftItemCount, int acquiredItemCount, TdApi.UserAuctionBid userBid)`
  Contains information about an ongoing or scheduled auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the auction started or will start.

  - ### endDate

    public int endDate
    Point in time (Unix timestamp) when the auction will be ended.

  - ### minBid

    public long minBid
    The minimum possible bid in the auction in Telegram Stars.

  - ### bidLevels

    public TdApi.AuctionBid[] bidLevels
    A sparse list of bids that were made in the auction.

  - ### topBidderUserIds

    public long[] topBidderUserIds
    User identifiers of at most 3 users with the biggest bids.

  - ### rounds

    public TdApi.AuctionRound[] rounds
    Rounds of the auction in which their duration or extension rules are changed.

  - ### currentRoundEndDate

    public int currentRoundEndDate
    Point in time (Unix timestamp) when the current round will end.

  - ### currentRoundNumber

    public int currentRoundNumber
    1-based number of the current round.

  - ### totalRoundCount

    public int totalRoundCount
    The total number of rounds.

  - ### distributedItemCount

    public int distributedItemCount
    The number of items that were purchased on the auction by all users.

  - ### leftItemCount

    public int leftItemCount
    The number of items that have to be distributed on the auction.

  - ### acquiredItemCount

    public int acquiredItemCount
    The number of items that were purchased by the current user on the auction.

  - ### userBid

    @Nullable public TdApi.UserAuctionBid userBid
    Bid of the current user in the auction; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuctionStateActive

    public AuctionStateActive()
    Contains information about an ongoing or scheduled auction.

  - ### AuctionStateActive

    public AuctionStateActive(int startDate, int endDate, long minBid, TdApi.AuctionBid[] bidLevels, long[] topBidderUserIds, TdApi.AuctionRound[] rounds, int currentRoundEndDate, int currentRoundNumber, int totalRoundCount, int distributedItemCount, int leftItemCount, int acquiredItemCount, TdApi.UserAuctionBid userBid)
    Contains information about an ongoing or scheduled auction.
    Parameters:
      `startDate` - Point in time (Unix timestamp) when the auction started or will start.
      `endDate` - Point in time (Unix timestamp) when the auction will be ended.
      `minBid` - The minimum possible bid in the auction in Telegram Stars.
      `bidLevels` - A sparse list of bids that were made in the auction.
      `topBidderUserIds` - User identifiers of at most 3 users with the biggest bids.
      `rounds` - Rounds of the auction in which their duration or extension rules are changed.
      `currentRoundEndDate` - Point in time (Unix timestamp) when the current round will end.
      `currentRoundNumber` - 1-based number of the current round.
      `totalRoundCount` - The total number of rounds.
      `distributedItemCount` - The number of items that were purchased on the auction by all users.
      `leftItemCount` - The number of items that have to be distributed on the auction.
      `acquiredItemCount` - The number of items that were purchased by the current user on the auction.
      `userBid` - Bid of the current user in the auction; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuctionState`
    Returns:
      this.CONSTRUCTOR